Users
List users
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
status?string
Value in
"pending_invitation" | "active" | "disabled" | "locked"tenantId?string
Format
uuidlayer?string
Value in
"merchant" | "company" | "operator" | "owner" | "partner"cursor?string
Format
uuidlimit?integer
Default
20Range
1 <= value <= 100merchantId?string
Format
uuidcompanyId?string
Format
uuidpartnerId?string
Format
uuidscopedTenantId?string
Format
uuidsortOrder?string
Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://<api-host>/v1/users"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"externalIdpId": "string",
"email": "user@example.com",
"displayName": "string",
"status": "pending_invitation",
"layer": "merchant",
"entityScope": {
"type": "all"
},
"mfaEnabled": true,
"lastLoginAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e"
}
],
"pagination": {
"nextCursor": "string",
"prevCursor": "string",
"hasMore": true,
"totalCount": 0
}
}Empty